html, body {
  margin: 0;
  padding: 0;
  font-family: 'Commissioner', sans-serif;
}
body {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  overflow: hidden;
}
a:link {
  color: #000;
}
a:visited {
  color: #000;
}
input {
  font-family: 'Commissioner', sans-serif;
}
text {
  cursor: default;
  user-select: none;
}
code {
  width: 100%;
  white-space: pre-wrap !important;
  word-break: break-word !important;
  overflow-x: hidden;
}
g[opacity="0"] {
  pointer-events: none;
}
button {
  padding: 4px 10px;
  background: transparent;
  border: 2px solid #191716;
  border-radius: 10px;
  font-weight: 600;
  font-family: 'Commissioner', sans-serif;
  text-transform: uppercase;
  outline: none;
  border: transparent;
}
button:not(:disabled) {
  cursor: pointer;
}
button:disabled {
  pointer-events: none;
  color: #bbb;
  border: 1px solid #bbb;
}
::selection {
  color: #191716;
  background: #f2dea6;
}
::-moz-selection {
  color: #191716;
  background: #f2dea6;
}
::-webkit-scrollbar {
  width: 6px;
}
::-webkit-scrollbar-track {
  background: transparent;
}
::-webkit-scrollbar-thumb {
  background: #aaa;
  border-radius: 3px;
}
::-webkit-scrollbar-thumb:hover {
  background: #555;
}
#app {
  height: 100%;
}
.absolute {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
}
.hide {
  display: none;
}
.flex {
  display: flex;
}
.flex-col {
  flex-direction: column;
}
.flex-center {
  justify-content: center;
}
.code-editor-container {
  flex: 1;
  font: 400 16px / 24px 'Ubuntu Mono', monospace;
  font-feature-settings: normal;
  font-optical-sizing: auto;
  tab-size: 4;
}
.code-container {
  position: relative;
  height: 100%;
}
.code-container pre[class*="language-"] {
  position: relative;
  margin: 0;
  padding: 0 8px 0 0;
  z-index: 0;
  max-width: 100%;
  overflow-x: hidden;
}
.menu, .submenu {
  width: 54px;
  padding: 4px;
  border-radius: 4px;
	box-shadow: 0 0 1px rgba(34, 25, 25, 0.4);
}
.menu {
  position: absolute;
}
.toolbox {
  left: 1px;
  top: 75px;
}
.menu, .submenu, .rename-input-container {
  background: #f0f0f0;
}
.menu div {
  margin: 2px 0;
}
.menu .sep {
  height: 1px;
  margin: 12px 0;
  border-bottom: 1px dashed #ccc;
}
.submenu-container {
  position: relative;
}
.submenu-align {
  position: absolute;
  display: flex;
  align-items: center;
  margin: 0 !important;
  top: -223px;
  left: 74px;
  height: 500px;
}
.rename-container, .datatype-container {
  position: relative;
}
.rename-input-container, .datatype-select-container {
  position: absolute;
  top: 10px;
  left: 84px;
  padding: 3px;
  background: #f0f0f0;
}
.rename-input-container::before, .datatype-select-container::before {
  content: '';
  position: absolute;
  width: 0;
  height: 0;
  top: 0;
  left: -14px;
  border-top: 15px solid transparent;
  border-right: 15px solid #f0f0f0;
  border-bottom: 15px solid transparent;
}
.rename-input-container input, .datatype-select-container select {
  height: 24px;
  background: transparent;
  border: none;
  outline: none;
}
.rename-input-container input {
  padding: 0 3px 0 6px;
}
.datatype-select-container select {
  padding: 0 3px 0 6px;
  font-family: 'Commissioner', sans-serif;
}
.errors, .warnings, .info {
  position: absolute;
  left: 0;
  bottom: 0;
  right: 0;
  width: 100%;
  height: 20px;
  padding: 10px 20px;
  font-size: 13px;
}
@media all and (max-width: 540px) {
  .menu, .submenu {
    width: 46px;
    padding: 3px;
  }
  .toolbox {
    top: 65px;
  }
  .menu .sep {
    margin: 8px 0;
  }
  .submenu-align {
    top: -228px;
    left: 60px;
  }
  .rename-input-container {
    top: 5px;
    left: 70px;
  }
}